"use strict";
exports.__esModule = true;
exports.createDataStructureParser = exports.createPrimitiveParser = void 0;
var option_1 = require("../option");
var createPrimitiveParser = function (_a) {
    var t = _a.t, expectedType = _a.expectedType, isMatchingType = _a.isMatchingType;
    return (0, option_1.createOptions)({
        t: function () { return t; },
        expectedType: expectedType,
        isMatchingType: isMatchingType
    });
};
exports.createPrimitiveParser = createPrimitiveParser;
var createDataStructureParser = function (_a) {
    var t = _a.t, expectedType = _a.expectedType, actualType = _a.actualType;
    return (0, option_1.createOptions)({
        t: t,
        expectedType: expectedType,
        isMatchingType: function () { return actualType === expectedType; }
    });
};
exports.createDataStructureParser = createDataStructureParser;
//# sourceMappingURL=parser.js.map