"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.getPossibleSelfDefinedType = exports.isEqual = void 0;
var Parser_1 = __importDefault(require("../error/Parser"));
var isEqual = function (c, d) { return c === d; };
exports.isEqual = isEqual;
var getPossibleSelfDefinedType = function (u) {
    var type = typeof u;
    switch (type) {
        case 'number':
        case 'boolean':
        case 'string':
        case 'object':
        case 'undefined':
            return type;
        default:
            throw Parser_1["default"].custom("typeof ".concat(type, " is not possible as JSON data"));
    }
};
exports.getPossibleSelfDefinedType = getPossibleSelfDefinedType;
//# sourceMappingURL=util.js.map