declare type Map<T> = (val: any, index?: number, arr?: ReadonlyArray<T>) => T;
declare const parseAsArray: <T>(u: unknown, map: Map<T>) => {
    orElseGetEmptyArray: () => T[];
    orElseGet: <U>(u: U) => T[] | U;
    orElseLazyGet: <U_1>(u: import("../../types").ParameterlessLazyLoad<U_1>) => T[] | U_1;
    orElseGetUndefined: () => T[] | undefined;
    orElseGetNull: () => T[] | null;
    orElseThrowDefault: (name: string) => T[];
    orElseThrowCustom: (message: string) => T[];
};
declare const parseAsReadonlyArray: <T>(u: unknown, map: Map<T>) => {
    orElseGetReadonlyEmptyArray: () => readonly T[];
    orElseGet: <U>(u: U) => readonly T[] | U;
    orElseLazyGet: <U_1>(u: import("../../types").ParameterlessLazyLoad<U_1>) => readonly T[] | U_1;
    orElseGetUndefined: () => readonly T[] | undefined;
    orElseGetNull: () => readonly T[] | null;
    orElseThrowDefault: (name: string) => readonly T[];
    orElseThrowCustom: (message: string) => readonly T[];
};
export { parseAsArray, parseAsReadonlyArray };
