declare type ObjectParams<T> = Readonly<{
    u: unknown;
    t: (u: any) => T;
}>;
declare const parseAsObject: <T extends Object>(u: unknown, t: (u: any) => T) => {
    orElseGetEmptyObject: () => {};
    orElseGet: <U>(u: U) => T | U;
    orElseLazyGet: <U_1>(u: import("../../types").ParameterlessLazyLoad<U_1>) => T | U_1;
    orElseGetUndefined: () => T | undefined;
    orElseGetNull: () => T | null;
    orElseThrowDefault: (name: string) => T;
    orElseThrowCustom: (message: string) => T;
};
declare const parseAsReadonlyObject: <T extends Object>(u: unknown, t: (u: any) => T) => {
    orElseGetEmptyObject: () => {};
    orElseGet: <U>(u: U) => Readonly<T> | U;
    orElseLazyGet: <U_1>(u: import("../../types").ParameterlessLazyLoad<U_1>) => Readonly<T> | U_1;
    orElseGetUndefined: () => Readonly<T> | undefined;
    orElseGetNull: () => Readonly<T> | null;
    orElseThrowDefault: (name: string) => Readonly<T>;
    orElseThrowCustom: (message: string) => Readonly<T>;
};
export { parseAsObject, parseAsReadonlyObject };
