import ParseError from '../error/Parser.js';
const isEqual = (c, d) => c === d;
const getPossibleSelfDefinedType = (u) => {
    const type = typeof u;
    switch (type) {
        case 'number':
        case 'boolean':
        case 'string':
        case 'object':
        case 'undefined':
            return type;
        default:
            throw ParseError.custom(`typeof ${type} is not possible as JSON data`);
    }
};
export { isEqual, getPossibleSelfDefinedType };
//# sourceMappingURL=util.js.map