"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.parseAsReadonlyObject = exports.parseAsObject = void 0;
var parser_1 = require("../parser");
var util_1 = require("../util");
var util_2 = require("./util");
var parseAsAnObject = function (u, t, isImmutable) {
    var actualType = (0, util_1.getPossibleSelfDefinedType)(u);
    return __assign(__assign({}, (0, parser_1.createDataStructureParser)({
        actualType: actualType,
        expectedType: 'object',
        t: function () { return t(u); }
    })), { orElseGetEmptyObject: function () {
            return !(0, util_1.isEqual)('object', actualType)
                ? {}
                : (0, util_2.freeze)(function () { return t(u); }, isImmutable);
        } });
};
var parseAsObject = function (u, t) { return parseAsAnObject(u, t, false); };
exports.parseAsObject = parseAsObject;
var parseAsReadonlyObject = function (u, t) { return parseAsAnObject(u, t, true); };
exports.parseAsReadonlyObject = parseAsReadonlyObject;
//# sourceMappingURL=object.js.map