import { PossibleSelfDefinedType } from '../types';
export default class ParseError extends Error {
    private constructor();
    static default: ({ name, value, expectedType, }: Readonly<{
        name: string;
        value: unknown;
        expectedType: PossibleSelfDefinedType;
    }>) => ParseError;
    static custom: (message: string) => ParseError;
}
