import { createOptions } from '../option/index.js';
const createPrimitiveParser = ({ t, expectedType, isMatchingType, }) => createOptions({
    t: () => t,
    expectedType,
    isMatchingType,
});
const createDataStructureParser = ({ t, expectedType, actualType, }) => createOptions({
    t,
    expectedType,
    isMatchingType: () => actualType === expectedType,
});
export { createPrimitiveParser, createDataStructureParser };
//# sourceMappingURL=parser.js.map